<?php
class Piece
{

	private $db;
	private $rowid;
	private $journal;
	private $num_piece;
	private $date_piece;
	private $montant;
	private $libelle;
	private $tiers;
	private $code_origine;
	private $exportee;
	private $date_creation;
	private $reference;
	private $type_piece;
	private $nature;
	private $montant_tva;
	private $montant_ht;
	private $mrg;
	private $code_lettrage;
	
	public function Piece($db, $rowid='')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}
	
	private function fetch($rowid='')
	{
		if ($rowid != '')
		{
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_pieces WHERE rowid = '".$rowid."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
				$this->rowid = $rowid;
				$this->journal = $obj->journal;
				$this->num_piece = $obj->num_piece;
				$this->date_piece = $obj->date_piece;
				$this->montant = $obj->montant;
				$this->libelle = stripslashes($obj->libelle);
				$this->tiers = $obj->tiers;
				$this->code_origine = $obj->code_origine;
				$this->date_creation = $obj->date_creation;
				$this->exportee = $obj->exportee;
				$this->reference = $obj->reference;
				$this->type_piece = $obj->type_piece;
				$this->montant_tva = $obj->montant_tva;
				$this->montant_ht = $obj->montant_ht;
				$this->mrg=$obj->mrg;
			}
			else return null;
		}
		return $this;
	}

	public function getNumPiece($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->num_piece;
	}

	public function setLettrage($code_lettrage)
	{
		$this->code_lettrage = $lettrage;
		$sql = "UPDATE ".MAIN_DB_PREFIX."compta_pieces SET code_lettrage = '".$code_lettrage."', date_lettrage = now() WHERE rowid='".$this->rowid."'";
	}

	public function nouvelle_piece($journal, $date_piece, $montant, $libelle, $tiers, $code_origine, $reference, $type_piece, $montant_ht, $montant_tva, $mrg)
	{
		$this->getNewPieceNumber($journal);

		$this->journal = $journal;
		$this->date_piece = substr($date_piece, 0, 10);
		$this->montant = number_format($montant, 2, '.', '');
		$this->libelle = $libelle;
		$this->tiers = $tiers;
		$this->code_origine = $code_origine;
		$this->exportee = 0;
		$this->reference = $reference;
		$this->type_piece = $type_piece;
		$this->montant_tva = number_format($montant_tva, 2, '.', '');
		$this->montant_ht = number_format($montant_ht, 2, '.', '');
		$this->mrg=$mrg;
			
		$sql="INSERT INTO ".MAIN_DB_PREFIX."compta_pieces (journal, num_piece, date_piece, montant, libelle, tiers, code_origine, exportee, date_creation, reference, type_piece, montant_ht, montant_tva, mrg) VALUES('$this->journal', '$this->num_piece', '$this->date_piece', '$this->montant', '".addslashes($this->libelle)."', '$this->tiers', '$this->code_origine', '$this->exportee', now(), '$this->reference', '$this->type_piece', '$this->montant_ht', '$this->montant_tva', '$this->mrg')";
						
		if ( $this->db->query($sql) ) {

			// recuperation id piece
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'pieces');
			return $this->rowid;
		}
		else
		{
			dolibarr_print_error($this->db);
			return null;
		}
	}
	
	private function getNewPieceNumber($journal) {
			$this->num_piece = null;
			// rcupration dernier numero de piece
			$sql = "SELECT compteur from ".MAIN_DB_PREFIX."compta_compteurs WHERE type='NUMPIECE' and parm='$journal'";
			$result = $this->db->query($sql);
			if ($result)
			{
				if ($this->db->num_rows($result))
				{
					$obj = $this->db->fetch_object($result);
					$this->num_piece = $obj->compteur;
					$this->num_piece++;
					$sql = "UPDATE ".MAIN_DB_PREFIX."compta_compteurs set compteur = '$this->num_piece' WHERE type='NUMPIECE' and parm='$journal'";
					$result = $this->db->query($sql);
				}
				else {
					$this->num_piece = 1;
					$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_compteurs (type, parm, compteur) VALUES('NUMPIECE', '$journal', '$this->num_piece')";
					$result = $this->db->query($sql);
				}	
			}
	}
}

class Ligne {
	
	private $db;
	private $rowid;
	private $nature;
	private $id_piece;
	private $num_ligne;
	private $journal;
	private $num_piece;
	private $compte;
	private $montant;
	private $sens;
	private $libelle;

	public function Ligne($db, $rowid='')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}

	private function fetch($rowid = '')
	{
		if ($rowid != '')
		{
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_lignes WHERE rowid = '".$rowid."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
				$this->rowid = $rowid;
				$this->id_piece = $obj->id_piece;
				$this->num_ligne = $obj->num_ligne;
				$this->journal = $obj->journal;
				$this->num_piece = $obj->num_piece;
				$this->compte = $obj->compte;
				$this->montant = $obj->montant;
				$this->sens = $obj->sens;
				$this->libelle = stripslashes($obj->libelle);
				$this->nature = $obj->nature;
				$this->date_creation = $obj->date_creation;
			}
			else return null;
		}
		return $this;
	}


	public function nouvelle_ligne($id_piece, $num_ligne, $journal, $num_piece, $nature, $compte, $montant, $sens, $libelle)
	{
		$this->id_piece = $id_piece;
		$this->num_ligne = $num_ligne;
		$this->journal = $journal;
		$this->num_piece = $num_piece;
		$this->compte = $compte;
		$this->montant = number_format($montant, 2, '.', '');
		$this->sens = $sens;
		$this->libelle = $libelle;
		$this->nature = $nature;
		
		$sql="INSERT INTO ".MAIN_DB_PREFIX."compta_lignes (id_piece, num_ligne, journal, num_piece, compte, montant, sens, date_creation, libelle, nature) VALUES('$this->id_piece', '$this->num_ligne', '$this->journal', '$this->num_piece', '$this->compte', '$this->montant', '$this->sens', now(), '".addslashes($this->libelle)."', '$this->nature')";

		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'compta_lignes');
			return $this->rowid;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}	

class Type_Piece 
{
	private $db;
	private $rowid;
	private $libelle;
	private $journal;
	
	public function Type_Piece($db, $rowid='')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}
	private function fetch($rowid='')
	{
		if ($rowid != '')
		{
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_type_piece WHERE rowid = '".$rowid."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
			}
			else return null;
		}
		$this->rowid = $obj->rowid;
		$this->libelle = stripslashes($obj->libelle);
		$this->journal = $obj->journal;
		
		return $this;
	}

	public function getLibelle($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->libelle;
	}
	public function getJournal($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->journal;
	}
	public function nouveauType_Piece($libelle, $journal)
	{
		$this->libelle = $libelle;
		$this->journal = $journal;
		$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_type_piece (libelle, journal) VALUES('".addslashes($this->libelle)."', '".$this->journal."')";
		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'compta_type_piece');
			return $this->rowid;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}
class Compte 
{
	private $db;
	private $rowid;
	private $libelle;
	private $numero;
	private $journal;
	
	public function Compte($db, $rowid='')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}
	private function fetch($rowid='')
	{
		if ($rowid != '')
		{
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_compte_generaux WHERE rowid = '".$rowid."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
			}
			else return null;
		}
		$this->rowid = $obj->rowid;
		$this->libelle = stripslashes($obj->libelle);
		$this->numero = $obj->numero;
		$this->journal = $obj->journal;
		
		return $this;
	}

	public function getLibelle($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->libelle;
	}
	public function getNumero($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->numero;
	}

	public function getJournal($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->journal;
	}
	
	public function nouveauCompte($numero, $intitule)
	{
		$this->numero = $numero;
		$this->libelle = $intitule;
		$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_compte_generaux (numero, intitule, date_creation, fk_user_author) VALUES('".$numero."', '".addslashes($intitule)."', now(), '".$user->login."')";
		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'compta_compte_generaux');
			return $this->rowid;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}

class Journal 
{
	private $db;
	private $code_journal;
	private $libelle;
	
	public function Journal($db, $code_journal='')
	{
		$this->db = $db;
		if ($code_journal != '') return $this->fetch($code_journal);
	}
	private function fetch($code_journal='')
	{
		if ($code_journal != '')
		{
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_journaux WHERE journal = '".$code_journal."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
			}
			else return null;
		}
		$this->code_journal = $obj->code_journal;
		$this->libelle = stripslashes($obj->libelle);
		
		return $this;
	}

	public function getLibelle($code_journal = '')
	{
		if ($code_journal != '') $this->fetch($code_journal);
		return $this->libelle;
	}
	
	public function nouveauJournal($code, $libelle)
	{
			$this->code_journal = $code;
			$this->libelle = $libelle;
		$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_journaux (code_journal, libelle) VALUES('".$code."', '".addslashes($libelle)."')";
		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			return $this->code_journal;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}

class Nature 
{
	private $db;
	private $rowid;
	private $type_nature;
	private $libelle;
	private $compte;
	
	public function Nature($db, $rowid = '')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}
	private function fetch($rowid='')
	{
		if ($rowid != '') {
			$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_natures WHERE rowid = '".$rowid."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
			}
			else return null;
		}
		$this->rowid = $obj->rowid;
		$this->libelle = stripslashes($obj->libelle);
		$this->compte = $obj->id_compte_associe;
		$this->type_nature = $obj->type_nature;
		
		return $this;
	}

	public function getLibelle($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->libelle;
	}
	public function getCompte($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->compte;
	}
	public function getType($rowid = '')
	{
		if ($rowid != '') $this->fetch($rowid);
		return $this->type_nature;
	}
	public function nouvelleNature($type, $libelle, $compte)
	{
			$this->libelle = $libelle;
			$this->compte = $compte;
			$this->type_nature = $type;
		$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_natures (type_nature, libelle, id_compte_associe) VALUES('".$type."', '".addslashes($libelle)."', '".$compte."')";
		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'compta_natures');
			return $this->rowid;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}

class Lettrage 
{
	private $db;
	private $rowid;
	private $code_lettrage;
	private $date_lettrage;
	
	public function Lettrage($db, $rowid = '')
	{
		$this->db = $db;
		if ($rowid != '') return $this->fetch($rowid);
	}
	public function getNewLettrage()
	{
			$this->code_lettrage = null;
			// rcupration dernier numero de piece
			$sql = "SELECT compteur from ".MAIN_DB_PREFIX."compta_compteurs WHERE type='LETTRAGE'";
			$result = $this->db->query($sql);
			if ($result)
			{
				if ($this->db->num_rows($result))
				{
					$obj = $this->db->fetch_object($result);
					$this->code_lettrage = $obj->compteur;
					$this->code_lettrage++;
					$sql = "UPDATE ".MAIN_DB_PREFIX."compta_compteurs set compteur = '$this->code_lettrage' WHERE type='LETTRAGE'";
					$result = $this->db->query($sql);
				}
				else {
					$this->code_lettrage = 1;
					$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_compteurs (type, parm, compteur) VALUES('LETTRAGE', '', '$this->code_lettrage')";
					$result = $this->db->query($sql);
				}	
			}
			return $this->code_lettrage;
	}
}

class Param 
{
	private $db;
	private $rowid;
	private $cle;
	private $valeur;
	
	public function Param($db, $cle='')
	{
		$this->db = $db;
		if ($cle != '') return $this->fetch($cle);
	}
	private function fetch($cle='')
	{
		$sql = "SELECT * FROM ".MAIN_DB_PREFIX."compta_param";
		if ($cle != '')
		{
			$sql .= " WHERE cle = '".$cle."'";
			$result = $this->db->query($sql);
			if ($result)
			{
				$obj = $this->db->fetch_object($result);
			}
			else return null;
		}
		$this->cle = stripslashes($obj->cle);
		$this->valeur = stripslashes($obj->valeur);
		return $this;
	}

	public function getValeur($cle = '')
	{
		if ($cle != '') $this->fetch($cle);
		return $this->valeur;
	}
	public function setValeur($valeur)
	{
		$this->valeur = $valeur;
		$sql = "UPDATE ".MAIN_DB_PREFIX."compta_param";
		$sql .= " SET valeur = '".addslashes($this->valeur)."'";
		$sql .= "WHERE cle = '".addslashes($this->cle)."'";
		return $this->db->query($sql);
	}
	public function nouveauParametre($cle, $valeur)
	{
			$this->cle = $cle;
			$this->valeur = $valeur;
		$sql = "INSERT INTO ".MAIN_DB_PREFIX."compta_param (cle, valeur) VALUES('".addslashes($cle)."', '".addslashes($valeur)."')";
		if ( $this->db->query($sql) ) {

			// recuperation id ligne
			$this->rowid = $this->db->last_insert_id(MAIN_DB_PREFIX.'compta_param');
			return $this->rowid;
		}
		else
		{
			print $sql;
			dolibarr_print_error($this->db);
			return null;
		}
	}
}
?>