<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2005 Laurent Destailleur  <eldy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: fiche.php,v 1.7 2005/10/19 05:12:49 eldy Exp $
 * $Source: /cvsroot/dolibarr/dolibarr/htdocs/compta/param/journals/fiche.php,v $
 */


/**
        \file       htdocs/compta/param/journals/fiche.php
        \ingroup    compta
        \brief      Page de la fiche des journals comptables
        \version    $Revision: 1.7 $
*/

require("./pre.inc.php");

$mesg = '';

if ($_POST["action"] == 'add' && $user->rights->compta->ventilation->parametrer)
{
  $journal = new Journal($db);

  $journal->nouveauJournal($_POST["code_journal"],$_POST["libelle"]);

  Header("Location: liste.php");
}

llxHeader("","Nouveau journal");

/*
 * Cration d'un journal
 *
 */
if ($_GET["action"] == 'create' && $user->rights->compta->ventilation->parametrer)
{
    $html = new Form($db);
    $nbligne=0;

    print_fiche_titre($langs->trans("Nouveau journal"));

    print '<form action="fiche.php" method="post">';
    print '<input type="hidden" name="action" value="add">';
    print '<input type="hidden" name="type" value="'.$_GET["type"].'">'."\n";

    print '<table class="border" width="100%">';
    print '<tr>';
    print '<td>'.$langs->trans("Code Journal").'</td><td><input name="code_journal" size="20" value="'.$journal->code_journal.'">';
    if ($_error == 1)
    {
        print "Ce code journal existe dj";
    }
    if ($_error == 2)
    {
        print "Valeur(s) manquante(s)";
    }
    print '</td></tr>';
    print '<tr><td>'.$langs->trans("Label").'</td><td><input name="libelle" size="40" value="'.$journal->libelle.'"></td></tr>';

    print '<tr><td>&nbsp;</td><td><input type="submit" class="button" value="'.$langs->trans("Create").'"></td></tr>';
    print '</table>';
    print '</form>';
}

$db->close();

llxFooter('$Date: 2005/10/19 05:12:49 $ - $Revision: 1.7 $');
?>
