<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2005 Laurent Destailleur  <eldy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: fiche.php,v 1.7 2005/10/19 05:12:49 eldy Exp $
 * $Source: /cvsroot/dolibarr/dolibarr/htdocs/compta/param/natures/fiche.php,v $
 */


/**
        \file       htdocs/compta/param/natures/fiche.php
        \ingroup    compta
        \brief      Page de la fiche des natures comptables
        \version    $Revision: 1.7 $
*/

require("./pre.inc.php");
include_once(DOL_DOCUMENT_ROOT.'/compta/compta.class.php');

$mesg = '';

if ($_POST["action"] == 'add' && $user->rights->compta->ventilation->parametrer)
{
  $nature = new Nature($db);

  $nature->nouvelleNature($_POST["type_nature"], $_POST["libelle"], $_POST["compte"]);

  Header("Location: liste.php");
}

llxHeader("","Nouvelle nature");

/*
 * Cration d'un nature
 *
 */
if ($_GET["action"] == 'create' && $user->rights->compta->ventilation->parametrer)
{
    $html = new Form($db);
    $nbligne=0;

    print_fiche_titre($langs->trans("Nouvelle Nature"));

    print '<form action="fiche.php" method="post">';
    print '<input type="hidden" name="action" value="add">';
    print '<input type="hidden" name="type" value="'.$_GET["type"].'">'."\n";

    print '<table class="border" width="100%">';
    print '<tr>';
    print '<td>'.$langs->trans("Type Nature").'</td><td><select name="type_nature">'._charge_types($db).'</select></td>';;
    if ($_error == 1)
    {
        print "Cette nature existe dj";
    }
    if ($_error == 2)
    {
        print "Valeur(s) manquante(s)";
    }
    print '</td></tr>';
    print '<tr><td>'.$langs->trans("Label").'</td><td><input name="libelle" size="40" value="'.$nature->libelle.'"></td></tr>';
	print '<tr><td>'.$langs->trans("Compte").'</td><td><select name="compte">'._charge_comptes($db).'</select></td></tr>';

    print '<tr><td>&nbsp;</td><td><input type="submit" class="button" value="'.$langs->trans("Create").'"></td></tr>';
    print '</table>';
    print '</form>';
}

$db->close();

llxFooter('$Date: 2005/10/19 05:12:49 $ - $Revision: 1.7 $');
// Chargement des natures
function _charge_types($db)
 {
	$sql = "SELECT rowid, libelle FROM ".MAIN_DB_PREFIX."compta_type_piece";
	$sql .= " ORDER BY libelle ASC";
	$result = $db->query($sql);
	if ($result)
    {
        $num = $db->num_rows($result);
        $i = 1;
        $liste_types = "<option value=\"0\"";
		if (!$_POST["type_nature"]) {
			$liste_typees .= " selected=\"true\"";
			$type_sel = "";
		}
		else {
			$type_sel = $_POST["type_nature"];
		}
		$liste_types .= ">&nbsp;</option>";
        while ($i <= $num)
        {
            $obj = $db->fetch_object($result);
            $liste_types .= "<option value=\"$obj->rowid\"";
			if ($obj->rowid == $type_sel) $liste_types .= " selected=\"true\"";
			$liste_types .= ">$obj->libelle</option>\n";
            $i++;
        }
        $db->free($result);
		return $liste_types;
	}
}
// Chargement des comptes dans $comptes_generaux
function _charge_comptes($db)
 {
	$sql = "SELECT rowid, numero, intitule FROM ".MAIN_DB_PREFIX."compta_compte_generaux";
	$sql.= " ORDER BY numero;";
	$result = $db->query($sql);
	if ($result)
    {
        $num = $db->num_rows($result);
        $i = 1;
        $comptes_generaux = "<option value=\"0\"";
		if ($_POST["compte"] == '0') {
			$comptes_generaux .= " selected=\"true\"";
			$compte_sel = "";
		}
		else {
			$compte_sel = $_POST["compte"];
		}
		$comptes_generaux .= ">&nbsp;</option>";
        while ($i <= $num)
        {
            $obj = $db->fetch_object($result);
            $comptes_generaux .= "<option value=\"$obj->rowid\"";
			if ($obj->rowid == $compte_sel) $comptes_generaux .= " selected=\"true\"";
			$comptes_generaux .= ">$obj->numero - $obj->intitule</option>\n";
            $i++;
        }
        $db->free($result);
	}
	return $comptes_generaux;
}

?>
